Opened 2 years ago

Last modified 2 months ago

#13062 infoneeded Bug Report - General

Backend does not schedule new recordings unless restarted

Reported by: hobbes1069@… Owned by: jpoet
Priority: minor Milestone: unknown
Component: MythTV - Scheduling Version: 0.28.1
Severity: medium Keywords:
Cc: Ticket locked: no

Description

For several months now (I'm not sure exactly how long) my combined FE/BE system does not schedule new shows to be recorded unless the backend is restarted.

Both the reschedule attempt from running mythfilldatabase and manually running mythutil --resched have no effect.

The restart (via systemctl) takes much longer than it used to as well.

System is Fedora 25 x86_64 and I am the current package maintainer for RPM Fusion.

# mythbackend --version Please attach all output as a file in bug reports. MythTV Version : v0.28.1-23-gaf98262 MythTV Branch : fixes/0.28 Network Protocol : 88 Library API : 0.28.20161120-1 QT Version : 5.7.1 Options compiled in:

linux release use_hidesyms using_alsa using_oss using_pulse using_pulseoutput using_backend using_bindings_perl using_bindings_python using_bindings_php using_crystalhd using_dvb using_firewire using_frontend using_hdhomerun using_vbox using_ceton using_hdpvr using_ivtv using_joystick_menu using_libcec using_libcrypto using_libdns_sd using_libfftw3 using_libxml2 using_lirc using_mheg using_opengl using_opengl_video using_opengl_themepainter using_qtwebkit using_qtscript using_qtdbus using_taglib using_v4l2 using_x11 using_xrandr using_xv using_systemd_notify using_bindings_perl using_bindings_python using_bindings_php using_freetype2 using_mythtranscode using_opengl using_vaapi using_vdpau using_ffmpeg_threads using_mheg using_libass using_libxml2

Attachments (3)

gdb.txt (78.1 KB) - added by Richard Shaw <hobbes1069@…> 2 years ago.
gdb output
gdb.2.txt (140.0 KB) - added by hobbes1069@… 20 months ago.
mythbackend2.log (319.2 KB) - added by hobbes1069@… 20 months ago.
Backend log from 1-12-18 when the backtrace was generated

Download all attachments as: .zip

Change History (35)

comment:1 Changed 2 years ago by Peter Bennett

I recommend running mythutil --resched at a time when it is not working, and capture the backend log at that time to see whether there is any error and whether it performed the reschedule. Please post that part of the log here.

comment:2 Changed 2 years ago by Richard Shaw <hobbes1069@…>

# mythutil --resched
2017-07-07 09:20:25.143961 C  mythutil version: fixes/0.28 [v0.28.1-23-gaf98262] www.mythtv.org
2017-07-07 09:20:25.144014 C  Qt version: compile: 5.7.1, runtime: 5.7.1
2017-07-07 09:20:25.144018 N  Enabled verbose msgs:  general
2017-07-07 09:20:25.144043 N  Setting Log Level to LOG_INFO
2017-07-07 09:20:25.155989 I  Added logging to the console
2017-07-07 09:20:25.157232 I  Setup Interrupt handler
2017-07-07 09:20:25.157253 I  Setup Terminated handler
2017-07-07 09:20:25.157290 I  Setup Segmentation fault handler
2017-07-07 09:20:25.157308 I  Setup Aborted handler
2017-07-07 09:20:25.157336 I  Setup Bus error handler
2017-07-07 09:20:25.157352 I  Setup Floating point exception handler
2017-07-07 09:20:25.157374 I  Setup Illegal instruction handler
2017-07-07 09:20:25.157393 I  Setup Real-time signal 0 handler
2017-07-07 09:20:25.157420 I  Setup Hangup handler
2017-07-07 09:20:25.157687 N  Using runtime prefix = /usr
2017-07-07 09:20:25.157706 N  Using configuration directory = /root/.mythtv
2017-07-07 09:20:25.157978 I  Assumed character encoding: en_US.UTF-8
2017-07-07 09:20:25.175958 N  Empty LocalHostName.
2017-07-07 09:20:25.175988 I  Using localhost value of calvin.localdomain
2017-07-07 09:20:25.261983 N  Setting QT default locale to EN_US
2017-07-07 09:20:25.262003 I  Current locale EN_US
2017-07-07 09:20:25.262112 N  Reading locale defaults from /usr/share/mythtv//locales/en_us.xml
2017-07-07 09:20:25.300031 I  MythCoreContext::ConnectCommandSocket(): Connecting to backend server: 192.168.0.4:6543 (try 1 of 1)
2017-07-07 09:20:25.301997 I  MythCoreContext::CheckProtoVersion(): Using protocol version 88 XmasGift
2017-07-07 09:20:25.303381 I  Reschedule command sent to master

mythbackend log snippet:

2017-07-07 09:20:25.302329 I [14668/27395] ProcessRequest mainserver.cpp:1730 (HandleAnnounce) - MainServer: MainServer::ANN Monitor
2017-07-07 09:20:25.302340 I [14668/27395] ProcessRequest mainserver.cpp:1735 (HandleAnnounce) - MainServer: adding: calvin.localdomain(122afd0) as a client (events: 0)
2017-07-07 09:20:25.395278 I [14668/27394] MythSocketThread(85) mainserver.cpp:7656 (connectionClosed) - Monitor sock(122afd0) 'calvin.localdomain' disconnected

comment:3 Changed 2 years ago by Peter Bennett

It seems to not be doing the reschedule. Here is my backend log for the same operation. It includes lines confirming the reschedule and showing the result of the reschedule. Something is preventing the reschedule in your backend.

Jul  7 11:40:46 serenity mythbackend: mythbackend[1465]: I ProcessRequest mainserver.cpp:1730 (HandleAnnounce) MainServer: MainServer::ANN Monitor
Jul  7 11:40:46 serenity mythbackend: mythbackend[1465]: I ProcessRequest mainserver.cpp:1735 (HandleAnnounce) MainServer: adding: serenity(28ec2d0) as a client (events: 0)
Jul  7 11:40:46 serenity mythbackend: mythbackend[1465]: I Scheduler scheduler.cpp:2264 (HandleReschedule) Reschedule requested for MATCH 0 0 0 - HandleRescheduleRecordings
Jul  7 11:40:46 serenity mythbackend: mythbackend[1465]: I MythSocketThread(64) mainserver.cpp:7656 (connectionClosed) Monitor sock(28ec2d0) 'serenity' disconnected
Jul  7 11:40:48 serenity mythbackend: mythbackend[1465]: I Scheduler scheduler.cpp:2377 (HandleReschedule) Scheduled 1188 items in 2.4 = 1.00 match + 0.85 check + 0.51 place

comment:4 Changed 2 years ago by Richard Shaw <hobbes1069@…>

I'm only about 12 commits behind current fixes/0.28 and nothing from the log appears to address this so I'm at a loss on where to look.

comment:5 Changed 2 years ago by gigem

You'll need to enable more backend logging. Add -v schedule at a minimum and possibly --loglevel debug. The scheduler is likely getting stuck. Several deadlock scenarios were fixed long ago, but perhaps there's another one. If that's the case, you'll probably need to use gdb and get a stack trace to see where it's stuck.

comment:6 Changed 2 years ago by Richard Shaw <hobbes1069@…>

Interesting, mythutil --resched seemed to work right after restarting the backend... I'll have to give it a few days and try again.

comment:7 Changed 2 years ago by Richard Shaw <hobbes1069@…>

Just tried mythutil --resched after adding -v schedule and --loglevel debug and no new information.

Changing to -v all and restarting.

comment:8 Changed 2 years ago by Richard Shaw <hobbes1069@…>

Ok, this is with everything turned on so I guess it's full debugging next unless you see something useful.

2017-07-09 14:14:07.331717 I [4240/4240] CoreContext mythsocket.cpp:97 (MythSocket) - MythSocket(28bebe0:-1): MythSocket(63, 0x28a9790) ctor
2017-07-09 14:14:07.331783 D [4240/4240] CoreContext mythsocket.cpp:230 (ConnectHandler) - MythSocket(28bebe0:63): calling m_callback->connected()
2017-07-09 14:14:07.332195 D [4240/12585] MythSocketThread(63) mythsocket.cpp:291 (CallReadyReadHandler) - MythSocket(28bebe0:63): calling m_callback->readyRead()
2017-07-09 14:14:07.332214 I [4240/12585] MythSocketThread(63) referencecounter.cpp:114 (IncrRef) - (0x28bebf0)::IncrRef() -> 2
2017-07-09 14:14:07.332777 I [4240/12585] MythSocketThread(63) mythsocket.cpp:990 (ReadStringListReal) - MythSocket(28bebe0:63): read  <- 63 30      MYTH_PROTO_VERSION 88 XmasGift
2017-07-09 14:14:07.332916 I [4240/12585] MythSocketThread(63) mythsocket.cpp:789 (WriteStringListReal) - MythSocket(28bebe0:63): write -> 63 13      ACCEPT[]:[]88
2017-07-09 14:14:07.333044 I [4240/12586] ProcessRequest referencecounter.cpp:145 (DecrRef) - (0x28bebf0)::DecrRef() -> 1
2017-07-09 14:14:07.333976 D [4240/12585] MythSocketThread(63) mythsocket.cpp:291 (CallReadyReadHandler) - MythSocket(28bebe0:63): calling m_callback->readyRead()
2017-07-09 14:14:07.333986 I [4240/12585] MythSocketThread(63) referencecounter.cpp:114 (IncrRef) - (0x28bebf0)::IncrRef() -> 2
2017-07-09 14:14:07.334158 I [4240/12585] MythSocketThread(63) mythsocket.cpp:990 (ReadStringListReal) - MythSocket(28bebe0:63): read  <- 63 32      ANN Monitor hobbes.localdomain 0
2017-07-09 14:14:07.334197 I [4240/12586] ProcessRequest mainserver.cpp:1730 (HandleAnnounce) - MainServer: MainServer::ANN Monitor
2017-07-09 14:14:07.334212 I [4240/12586] ProcessRequest mainserver.cpp:1735 (HandleAnnounce) - MainServer: adding: hobbes.localdomain(28bebe0) as a client (events: 0)
2017-07-09 14:14:07.334267 I [4240/12585] MythSocketThread(63) mythsocket.cpp:789 (WriteStringListReal) - MythSocket(28bebe0:63): write -> 63 2       OK
2017-07-09 14:14:07.334379 I [4240/12586] ProcessRequest referencecounter.cpp:145 (DecrRef) - (0x28bebf0)::DecrRef() -> 1
2017-07-09 14:14:07.335371 D [4240/12585] MythSocketThread(63) mythsocket.cpp:291 (CallReadyReadHandler) - MythSocket(28bebe0:63): calling m_callback->readyRead()
2017-07-09 14:14:07.335379 I [4240/12585] MythSocketThread(63) referencecounter.cpp:114 (IncrRef) - (0x28bebf0)::IncrRef() -> 2
2017-07-09 14:14:07.335624 I [4240/12586] ProcessRequest referencecounter.cpp:114 (IncrRef) - (0x7f12e81b5350)::IncrRef() -> 2
2017-07-09 14:14:07.335634 I [4240/12586] ProcessRequest referencecounter.cpp:114 (IncrRef) - (0x28bebf0)::IncrRef() -> 3
2017-07-09 14:14:07.335694 I [4240/12585] MythSocketThread(63) mythsocket.cpp:990 (ReadStringListReal) - MythSocket(28bebe0:63): read  <- 63 55      RESCHEDULE_RECORDINGS[]:[]MATCH 0 0 0 - MythUtilCommand
2017-07-09 14:14:07.335714 I [4240/12586] ProcessRequest referencecounter.cpp:145 (DecrRef) - (0x28bebf0)::DecrRef() -> 2
2017-07-09 14:14:07.335719 I [4240/12586] ProcessRequest referencecounter.cpp:145 (DecrRef) - (0x7f12e81b5350)::DecrRef() -> 1
2017-07-09 14:14:07.335732 I [4240/12586] ProcessRequest referencecounter.cpp:114 (IncrRef) - (0x7f12e81b5350)::IncrRef() -> 2
2017-07-09 14:14:07.335889 I [4240/12586] ProcessRequest mythcorecontext.cpp:1592 (dispatch) - MythCoreContext::dispatch(): MythEvent: RESCHEDULE_RECORDINGS
2017-07-09 14:14:07.336076 I [4240/12585] MythSocketThread(63) mythsocket.cpp:789 (WriteStringListReal) - MythSocket(28bebe0:63): write -> 63 1       1
2017-07-09 14:14:07.336191 I [4240/12586] ProcessRequest referencecounter.cpp:145 (DecrRef) - (0x7f12e81b5350)::DecrRef() -> 1
2017-07-09 14:14:07.336203 I [4240/12586] ProcessRequest referencecounter.cpp:145 (DecrRef) - (0x28bebf0)::DecrRef() -> 1
2017-07-09 14:14:07.428723 D [4240/12585] MythSocketThread(63) mythsocket.cpp:245 (ErrorHandler) - MythSocket(28bebe0:63): calling m_callback->error() err: The remote host closed the connection
2017-07-09 14:14:07.428759 D [4240/12585] MythSocketThread(63) mythsocket.cpp:263 (DisconnectHandler) - MythSocket(28bebe0:-1): calling m_callback->connectionClosed()
2017-07-09 14:14:07.428774 I [4240/12585] MythSocketThread(63) referencecounter.cpp:114 (IncrRef) - (0x28bebf0)::IncrRef() -> 2
2017-07-09 14:14:07.428794 I [4240/12585] MythSocketThread(63) mainserver.cpp:7656 (connectionClosed) - Monitor sock(28bebe0) 'hobbes.localdomain' disconnected
2017-07-09 14:14:07.428806 I [4240/12585] MythSocketThread(63) referencecounter.cpp:145 (DecrRef) - (0x7f12e81b5350)::DecrRef() -> 0
2017-07-09 14:14:07.428816 I [4240/12585] MythSocketThread(63) referencecounter.cpp:145 (DecrRef) - (0x28bebf0)::DecrRef() -> 1

comment:9 Changed 2 years ago by gigem

Unfortunately, those logs don't help. You will need to get a backtrace using gdb so we can try to see where things are stuck.

comment:10 Changed 2 years ago by Richard Shaw <hobbes1069@…>

Any hints on the procedure? I've figured out how to attach to the running process and can install the debuginfo packages. Since it pauses the process once I attach to it, do I just use "next" and "bt" until I find something interesting?

comment:11 Changed 2 years ago by Stuart Auchterlonie

comment:12 Changed 2 years ago by Richard Shaw <hobbes1069@…>

Ok, trying... I installed the mythtv-debuginfo package, attached to it, did a continue, a mythutil --resched and "thread apply be full whatever" and it never came back to a prompt after more than an hour. Now I've installed 4.2GB of debuginfo packages for all the dependencies and have waited 20 minutes to get a prompt after entering "continue" and mythbackend is stuck at 100% cpu...

comment:13 Changed 2 years ago by Richard Shaw <hobbes1069@…>

Another data point, although not particularly helpful. It wasn't GDB that was causing 100% cpu usage. Apparently whatever the issue is, is causing the problem. Restarting mythbackend and CPU uses drops to near 0% while idle.

I wonder if I can use something like vmstat to track it over time and see when it starts consuming 100% cpu...

comment:14 Changed 2 years ago by gigem

You can tone the logging back down since it wasn't helpful. I doubt vmstat will help, but it shouldn't hurt either. Once you are at the gdb prompt, the backtrace shouldn't take very long at all.

Changed 2 years ago by Richard Shaw <hobbes1069@…>

Attachment: gdb.txt added

gdb output

comment:15 Changed 2 years ago by gigem

Richard, I apologize for going quiet on this. I haven't forgotten about it. I've been out of town and am catching up on things as quickly as I can.

comment:16 Changed 2 years ago by gigem

Status: newinfoneeded_new

I finally got around to reviewing your gdb log. Unfortunately, it doesn't appear to include mythtv debugging information, so I can't tell where it's stuck. Do you compile mythtv yourself or use packages? If the former, you'll need to recomple with compile-type set to either debug or profile. If the latter, you'll need to look for a "debug" package version or compile mythtv yourself.

comment:17 Changed 2 years ago by Richard Shaw <hobbes1069@…>

I actually make the RPM Fusion packages and the debuginfo packages were installed. I'm not sure why it didn't work...

comment:18 Changed 2 years ago by gigem

Okay. Did you attach gdb to an already running mythbackend? If so, maybe you need to be in the mythtv source directory, or tell gdb where to find the source, in order for it to include the line numbers when in the mythtv code.

comment:19 Changed 2 years ago by gigem

Resolution: Need more Info
Status: infoneeded_newclosed

I'm closing this due to inactivity. Richard, please reopen it if you have new information.

comment:20 Changed 23 months ago by hobbes1069@…

Resolution: Need more Info
Status: closednew

Ok, unfortunately is started happening again... going to try to get a good debug info...

Changed 20 months ago by hobbes1069@…

Attachment: gdb.2.txt added

comment:21 Changed 20 months ago by hobbes1069@…

Hopefully this has more helpful information in it.

comment:22 Changed 20 months ago by gigem

What is the exact MythTV version you are using? The line numbers don't match up with the latest fixes-0.28.

Anyway, it doesn't appear to be the traditional Scheduler deadlock. This appears to be a deadlock in one of the recorders.

comment:23 Changed 20 months ago by hobbes1069@…

$ ssh root@calvin Last login: Fri Jan 12 06:24:36 2018 from 192.168.0.2 [root@calvin ~]# rpm -q mythtv mythtv-29.0-4.fc27.x86_64 [root@calvin ~]# mythbackend --version Please attach all output as a file in bug reports. MythTV Version : v29.0-v29.0-57-gd743ef49a8 MythTV Branch : fixes/29.0 Network Protocol : 91 Library API : 29.20170212-1 QT Version : 5.9.1 Options compiled in:

linux debug use_hidesyms using_alsa using_oss using_pulse using_pulseoutput using_backend using_bdjava using_bindings_perl using_bindings_python using_bindings_php using_crystalhd using_dvb using_firewire using_frontend using_hdhomerun using_vbox using_ceton using_hdpvr using_ivtv using_joystick_menu using_libcec using_libcrypto using_libdns_sd using_libfftw3 using_libxml2 using_lirc using_mheg using_opengl using_opengl_video using_opengl_themepainter using_qtwebkit using_qtscript using_qtdbus using_taglib using_v4l2 using_x11 using_xrandr using_xv using_debugtype using_systemd_notify using_systemd_journal using_bdjava using_bindings_perl using_bindings_python using_bindings_php using_fontconfig using_freetype2 using_mythtranscode using_opengl using_vaapi using_vdpau using_ffmpeg_threads using_mheg using_libass using_libxml2 using_libmp3lame

comment:24 Changed 20 months ago by gigem

Owner: changed from gigem to jpoet
Status: newassigned

Thanks. This definitely looks like a recorder issue. I've asked the developer with more experience in that area to look at it.

comment:25 Changed 20 months ago by jpoet

Richard, do you have the mythbackend log file, which goes with that BT? I would like to try and match up the state the log file shows it being in, with that stack.

comment:26 Changed 20 months ago by J.Pilk@…

I'm hesitant to interrupt here, but I'm running Master with systems built using a lightly patched version of Richard's rpm specfile and most of my scheduling is done from the EIT programme guide, quite often in near real time. It all just works. One difference may be that I have always run the backend and frontend in KDE konsole tabs with nothing autostarted. That applies to my 'buntu system as well. I'm willing to try simple tests if that might help.

comment:27 Changed 20 months ago by hobbes1069@…

Ok, I could have sworn I came back here and uploaded the log...

comment:28 Changed 20 months ago by jpoet

Just to let you know that I am not ignoring this, but will be unable to work on it until mid February.

Changed 20 months ago by hobbes1069@…

Attachment: mythbackend2.log added

Backend log from 1-12-18 when the backtrace was generated

comment:29 Changed 19 months ago by jpoet

Status: assignedinfoneeded

Hi Richard. I finally had a chance to look at this. The log file you posted has plenty of

Scheduled 431 items in 0.3 = 0.00 match + 0.00 check + 0.34 place

messages sprinkled through out, so it looks like the scheduler is being invoked.

Can you try

mythbackend -v schedule --printsched

And tell us which program(s) are not being scheduled?

comment:30 Changed 19 months ago by hobbes1069@…

Yeah, weird problem, but the backend just gets unresponsive. Eventually it will stop working with the frontend but I usually restart it before that becomes a problem. When I do restart it, it takes a REALLY long time, compared to a fresh restart.

# mythbackend -v schedule --printsched 2018-03-04 17:05:51.652259 C mythbackend version: fixes/29.0 [v29.0-v29.0-77-g771115f47d] www.mythtv.org 2018-03-04 17:05:51.652428 C Qt version: compile: 5.9.2, runtime: 5.9.4 2018-03-04 17:05:51.652434 N Enabled verbose msgs: general schedule 2018-03-04 17:05:51.652481 N Setting Log Level to LOG_INFO 2018-03-04 17:05:51.664074 I Added logging to the console 2018-03-04 17:05:51.665438 I Setup Interrupt handler 2018-03-04 17:05:51.665466 I Setup Terminated handler 2018-03-04 17:05:51.665482 I Setup Segmentation fault handler 2018-03-04 17:05:51.665508 I Setup Aborted handler 2018-03-04 17:05:51.665521 I Setup Bus error handler 2018-03-04 17:05:51.665538 I Setup Floating point exception handler 2018-03-04 17:05:51.665552 I Setup Illegal instruction handler 2018-03-04 17:05:51.665576 I Setup Real-time signal 0 handler 2018-03-04 17:05:51.665595 I Setup Hangup handler 2018-03-04 17:05:51.665935 N Using runtime prefix = /usr 2018-03-04 17:05:51.665942 N Using configuration directory = /root/.mythtv 2018-03-04 17:05:51.666039 I Assumed character encoding: en_US.utf8 2018-03-04 17:05:51.666048 W This application expects to be running a locale that specifies a UTF-8 codeset, and many features may behave improperly with your current language settings. Please set the LC_ALL or LC_CTYPE, and LANG variable(s) in the environment in which this program is executed to include a UTF-8 codeset (such as 'en_US.UTF-8'). 2018-03-04 17:05:51.678647 N Empty LocalHostName?. 2018-03-04 17:05:51.678679 I Using localhost value of calvin.localdomain 2018-03-04 17:05:51.678985 I Start up testing connections. DB localhost, BE , attempt 0, status dbAwake Retrieving Schedule from Master backend. 2018-03-04 17:05:52.703789 N Setting QT default locale to EN_US 2018-03-04 17:05:52.703813 I Current locale EN_US 2018-03-04 17:05:52.703902 N Reading locale defaults from /usr/share/mythtvlocales/en_us.xml 2018-03-04 17:05:52.716885 I Loading en_us translation for module mythfrontend 2018-03-04 17:05:52.744246 I New static DB connectionDataDirectCon 2018-03-04 17:05:52.751300 I Added SchedInputInfo? i=1, g=1, sg=0 2018-03-04 17:05:52.752107 I Added SchedInputInfo? i=2, g=2, sg=0 2018-03-04 17:05:52.752884 I Added SchedInputInfo? i=3, g=3, sg=0 2018-03-04 17:05:52.753627 I Added SchedInputInfo? i=4, g=4, sg=0 2018-03-04 17:05:52.754039 I Added SchedInputInfo? i=11, g=11, sg=0 2018-03-04 17:05:52.754688 I Added SchedInputInfo? i=13, g=13, sg=0 2018-03-04 17:05:52.755501 I Added SchedInputInfo? i=15, g=15, sg=0 2018-03-04 17:05:52.756584 I Assigning input 2 to conflict set 1 2018-03-04 17:05:52.756592 I Assigning input 1 to conflict set 1 2018-03-04 17:05:52.756617 I Assigning input 4 to conflict set 2 2018-03-04 17:05:52.756621 I Assigning input 3 to conflict set 2 2018-03-04 17:05:52.756626 I Assigning input 11 to conflict set 3 2018-03-04 17:05:52.756631 I Assigning input 13 to conflict set 4 2018-03-04 17:05:52.756636 I Assigning input 15 to conflict set 5 2018-03-04 17:05:52.763594 I MythCoreContext::ConnectCommandSocket?(): Connecting to backend server: 192.168.0.4:6543 (try 1 of 1) 2018-03-04 17:05:52.767010 I MythCoreContext::CheckProtoVersion?(): Using protocol version 91 BuzzOff? 2018-03-04 17:05:52.805053 I --- print list start --- 2018-03-04 17:05:52.805074 I Title - Subtitle Ch Station Day Start End G I T N Pri 2018-03-04 17:05:52.805483 I America's Funniest Home Videos 781 UPHD 04 17:00-18:00 0 11 A 11 0 2018-03-04 17:05:52.805520 I Worst Cooks in America - Flair Fla 845 FOODHD 04 20:00-21:00 0 11 A 11 0 2018-03-04 17:05:52.805543 I Elementary - Step Nine 3_1 WREG-DT 04 22:37-23:37 0 1 A 1 0 2018-03-04 17:05:52.805575 I Worst Cooks in America - Flair Fla 1280 FOODHD 04 23:00-00:00 0 0 A E 0 2018-03-04 17:05:52.805600 I Secrets of the Underground - Capon 777 SCIHD 05 02:12-03:08 0 11 A 11 0 2018-03-04 17:05:52.805621 I Secrets of the Underground - Great 777 SCIHD 05 03:08-04:04 0 11 A 11 0 2018-03-04 17:05:52.805645 I Secrets of the Underground - Ameri 777 SCIHD 05 04:04-05:00 0 11 A 11 0 2018-03-04 17:05:52.805665 I Secrets of the Underground - Rocky 777 SCIHD 05 05:00-06:00 0 11 A 11 0 2018-03-04 17:05:52.805688 I Secrets of the Underground - Secre 777 SCIHD 05 06:00-07:00 0 13 A 13 0 2018-03-04 17:05:52.805708 I Say Yes to the Dress - Princess fo 850 TLCHD 05 06:00-06:30 0 11 A 11 0 2018-03-04 17:05:52.805750 I Say Yes to the Dress - Ready, Aim, 850 TLCHD 05 06:30-07:00 0 11 A 11 0 2018-03-04 17:05:52.805770 I Secrets of the Underground - Ameri 777 SCIHD 05 07:00-08:00 0 13 A 13 0 2018-03-04 17:05:52.805792 I Say Yes to the Dress - For the Lov 850 TLCHD 05 07:00-07:30 0 11 A 11 0 2018-03-04 17:05:52.805815 I Say Yes to the Dress - The First D 850 TLCHD 05 07:30-08:00 0 11 A 11 0 2018-03-04 17:05:52.805836 I Secrets of the Underground - Myste 1251 SCIHD 05 08:00-09:00 0 0 A R 0 2018-03-04 17:05:52.805858 I Secrets of the Underground - Tesla 777 SCIHD 05 09:00-10:00 0 11 A 11 0 2018-03-04 17:05:52.805879 I Secrets of the Underground - Quest 1251 SCIHD 05 10:00-11:00 0 0 A R 0 2018-03-04 17:05:52.805902 I Pit Bulls and Parolees - Making Mi 863 APLHD 05 11:00-12:00 0 11 A 11 0 2018-03-04 17:05:52.805923 I Kids Baking Championship - Cookiel 1280 FOODHD 05 11:00-12:00 0 0 A R 0 2018-03-04 17:05:52.805945 I Secrets of the Underground - Legen 777 SCIHD 05 11:00-12:00 0 13 A 13 0 2018-03-04 17:05:52.805965 I Pit Bulls and Parolees - A Family 863 APLHD 05 12:00-13:00 0 11 A 11 0 2018-03-04 17:05:52.805987 I Kids Baking Championship - Pizza F 1280 FOODHD 05 12:00-13:00 0 0 A R 0 2018-03-04 17:05:52.806017 I Secrets of the Underground - Calif 777 SCIHD 05 12:00-13:00 0 13 A 13 0 2018-03-04 17:05:52.806039 I Tanked - Fermenting Donuts 863 APLHD 05 13:00-14:00 0 15 A 15 0 2018-03-04 17:05:52.806062 I Kids Baking Championship - Lemon B 845 FOODHD 05 13:00-14:00 0 11 A 11 0 2018-03-04 17:05:52.806082 I Secrets of the Underground - Dooms 777 SCIHD 05 13:00-14:00 0 13 A 13 0 2018-03-04 17:05:52.806106 I Treehouse Masters - Texas-Sized Tr 863 APLHD 05 14:00-15:00 0 11 A 11 0 2018-03-04 17:05:52.806127 I Kids Baking Championship - Cake an 1280 FOODHD 05 14:00-15:00 0 0 A R 0 2018-03-04 17:05:52.806149 I Secrets of the Underground - King 777 SCIHD 05 14:00-15:00 0 13 A 13 0 2018-03-04 17:05:52.806170 I Kids Baking Championship - Doughnu 1280 FOODHD 05 15:00-16:00 0 0 A R 0 2018-03-04 17:05:52.806193 I Secrets of the Underground - Lost 1251 SCIHD 05 15:00-16:00 0 0 A R 0 2018-03-04 17:05:52.806213 I Say Yes to the Dress - Empire Stat 850 TLCHD 05 15:00-16:00 0 11 A 11 0 2018-03-04 17:05:52.806235 I Odd Squad - Disorder in the Court 10_1 WKNO HD 05 15:30-16:00 0 1 A 1 0 2018-03-04 17:05:52.806259 I Kids Baking Championship - Unicorn 1280 FOODHD 05 16:00-17:00 0 0 A R 0 2018-03-04 17:05:52.806280 I Secrets of the Underground - Atlan 777 SCIHD 05 16:00-17:00 0 11 A 11 0 2018-03-04 17:05:52.806302 I Say Yes to the Dress - A Situation 1350 TLCHD 05 16:00-16:30 0 0 A R 0 2018-03-04 17:05:52.806322 I Odd Squad - Oscar of All Trades; S 10_1 WKNO HD 05 16:00-16:30 0 2 A 2 0 2018-03-04 17:05:52.806344 I Say Yes to the Dress - Love at Fir 1350 TLCHD 05 16:30-17:00 0 0 A R 0 2018-03-04 17:05:52.806365 I Kids Baking Championship - Lunchbo 1280 FOODHD 05 17:00-18:00 0 0 A R 0 2018-03-04 17:05:52.806387 I Say Yes to the Dress - There's a S 1350 TLCHD 05 17:00-18:00 0 0 A R 0 2018-03-04 17:05:52.806410 I Kids Baking Championship - Out of 1280 FOODHD 05 18:00-19:00 0 0 A R 0 2018-03-04 17:05:52.806430 I The Big Bang Theory - The Fish Gut 24_1 WATN-HD 05 18:30-19:00 0 3 A 3 0 2018-03-04 17:05:52.806452 I Wheel of Fortune - Leave Winter Be 5_1 WMC-NBC 05 18:30-19:00 0 1 A 1 0 2018-03-04 17:05:52.806472 I Kids Baking Championship - Sand Ca 1280 FOODHD 05 19:00-20:00 0 0 A R 0 2018-03-04 17:05:52.806494 I Kids Baking Championship - Cover S 845 FOODHD 05 20:00-21:00 0 11 A 11 0 2018-03-04 17:05:52.806517 I Kids Baking Championship - Cover S 1280 FOODHD 05 23:00-00:00 0 0 A E 0 2018-03-04 17:05:52.806537 I Kids Baking Championship - Sand Ca 1280 FOODHD 06 02:00-03:00 0 0 A R 0 2018-03-04 17:05:52.806559 I Say Yes to the Dress - Best Laid P 850 TLCHD 06 06:00-06:30 0 11 A 11 0 2018-03-04 17:05:52.806579 I Say Yes to the Dress - Double or N 850 TLCHD 06 06:30-07:00 0 11 A 11 0 2018-03-04 17:05:52.806601 I Say Yes to the Dress - New Beginni 850 TLCHD 06 07:00-07:30 0 11 A 11 0 2018-03-04 17:05:52.806621 I Say Yes to the Dress - Make Room f 850 TLCHD 06 07:30-08:00 0 11 A 11 0 2018-03-04 17:05:52.806644 I Pit Bulls and Parolees - Pitch Bla 863 APLHD 06 11:00-12:00 0 11 A 11 0 2018-03-04 17:05:52.806666 I Pit Bulls and Parolees - Shell Sho 863 APLHD 06 12:00-13:00 0 11 A 11 0 2018-03-04 17:05:52.806685 I Tanked - Jurassic Campground 1260 APLHD 06 13:00-14:00 0 0 A R 0 2018-03-04 17:05:52.806707 I Chopped Junior - Heads Will Roll 845 FOODHD 06 13:00-14:00 0 11 A 11 0 2018-03-04 17:05:52.806750 I Treehouse Masters - Mindbending Si 1260 APLHD 06 14:00-15:00 0 0 A R 0 2018-03-04 17:05:52.806773 I Pokémon the Series: Sun & Moon - T 775 DXDHD 06 15:00-15:30 0 11 A 11 0 2018-03-04 17:05:52.806793 I Say Yes to the Dress - Agree to Di 1350 TLCHD 06 15:00-15:30 0 0 A R 0 2018-03-04 17:05:52.806830 I Pokémon the Series: Sun & Moon - Y 775 DXDHD 06 15:30-16:00 0 11 A 11 0 2018-03-04 17:05:52.806851 I Say Yes to the Dress - Performance 850 TLCHD 06 15:30-16:00 0 13 A 13 0 2018-03-04 17:05:52.806874 I Odd Squad - There Might Be Dragons 10_1 WKNO HD 06 15:30-16:00 0 1 A 1 0 2018-03-04 17:05:52.806898 I Say Yes to the Dress - Breaking th 850 TLCHD 06 16:00-16:30 0 11 A 11 0 2018-03-04 17:05:52.806918 I Odd Squad - Olive and Otto in Shmu 10_1 WKNO HD 06 16:00-16:30 0 2 A 2 0 2018-03-04 17:05:52.806941 I Say Yes to the Dress - V.I.Pnina 850 TLCHD 06 16:30-17:00 0 11 A 11 0 2018-03-04 17:05:52.806963 I The Big Bang Theory - The Egg Sala 24_1 WATN-HD 06 18:30-19:00 0 3 A 3 0 2018-03-04 17:05:52.806985 I Wheel of Fortune - Leave Winter Be 5_1 WMC-NBC 06 18:30-19:00 0 1 A 1 0 2018-03-04 17:05:52.807014 I America's Funniest Home Videos 781 UPHD 07 00:00-01:00 0 11 A 11 0 2018-03-04 17:05:52.807034 I America's Funniest Home Videos 781 UPHD 07 01:00-02:00 0 11 A 11 0 2018-03-04 17:05:52.807058 I Cooks vs. Cons - Crab Cake Crazy 845 FOODHD 07 03:00-04:00 0 11 A 11 0 2018-03-04 17:05:52.807079 I Say Yes to the Dress - Search and 850 TLCHD 07 06:00-06:30 0 11 A 11 0 2018-03-04 17:05:52.807102 I Say Yes to the Dress - Men of Hono 850 TLCHD 07 06:30-07:00 0 11 A 11 0 2018-03-04 17:05:52.807123 I Say Yes to the Dress - Decisions, 850 TLCHD 07 07:00-07:30 0 11 A 11 0 2018-03-04 17:05:52.807146 I Say Yes to the Dress - Great Gown 850 TLCHD 07 07:30-08:00 0 11 A 11 0 2018-03-04 17:05:52.807170 I Pit Bulls and Parolees - Giving Ba 863 APLHD 07 11:00-12:00 0 11 A 11 0 2018-03-04 17:05:52.807191 I Pit Bulls and Parolees - Puppy-Pal 863 APLHD 07 12:00-13:00 0 11 A 11 0 2018-03-04 17:05:52.807213 I Tanked - Sweet Memories 863 APLHD 07 13:00-14:00 0 11 A 11 0 2018-03-04 17:05:52.807239 I Treehouse Masters - Temple of Adve 1260 APLHD 07 14:00-15:00 0 0 A R 0 2018-03-04 17:05:52.807262 I Treehouse Masters - Treehive Beehi 1260 APLHD 07 15:00-16:00 0 0 A R 0 2018-03-04 17:05:52.807283 I Pokémon the Series: Sun & Moon - T 1516 DXDHD 07 15:00-15:30 0 0 A R 0 2018-03-04 17:05:52.807307 I Outrageous Acts of Science - Not S 777 SCIHD 07 15:00-16:00 0 11 A 11 0 2018-03-04 17:05:52.807329 I Pokémon the Series: Sun & Moon - R 775 DXDHD 07 15:30-16:00 0 13 A 13 0 2018-03-04 17:05:52.807350 I Odd Squad - O Is Not For Over 10_1 WKNO HD 07 15:30-16:00 0 0 A R 0 2018-03-04 17:05:52.807372 I Treehouse Masters - Ultimate Treeh 863 APLHD 07 16:00-17:00 0 13 A 13 0 2018-03-04 17:05:52.807393 I Outrageous Acts of Science - Amped 777 SCIHD 07 16:00-17:00 0 11 A 11 0 2018-03-04 17:05:52.807416 I Odd Squad - First Day 10_1 WKNO HD 07 16:00-16:30 0 0 A R 0 2018-03-04 17:05:52.807437 I Treehouse Masters - Zac Brown's Sp 1260 APLHD 07 17:00-18:00 0 0 A R 0 2018-03-04 17:05:52.807460 I Outrageous Acts of Science - Power 777 SCIHD 07 17:00-18:00 0 11 A 11 0 2018-03-04 17:05:52.807483 I Treehouse Masters - Ultimate Treeh 863 APLHD 07 18:00-19:00 0 13 A 13 0 2018-03-04 17:05:52.807503 I Outrageous Acts of Science - Crowd 777 SCIHD 07 18:00-19:00 0 11 A 11 0 2018-03-04 17:05:52.807526 I The Big Bang Theory - The Bakersfi 24_1 WATN-HD 07 18:30-19:00 0 3 A 3 0 2018-03-04 17:05:52.807547 I Wheel of Fortune - Leave Winter Be 5_1 WMC-NBC 07 18:30-19:00 0 1 A 1 0 2018-03-04 17:05:52.807570 I Treehouse Masters - The Bird Barn 1260 APLHD 07 19:00-20:00 0 0 A R 0 2018-03-04 17:05:52.807590 I Outrageous Acts of Science - Naugh 777 SCIHD 07 19:00-21:04 0 11 A 11 0 2018-03-04 17:05:52.807613 I The X-Files - Familiar 13 WHBQ 07 19:00-20:00 0 0 A E 0 2018-03-04 17:05:52.807636 I The X-Files - Familiar 13_1 WHBQ-DT 07 19:00-20:00 0 1 A 1 0 2018-03-04 17:05:52.807656 I The X-Files - Familiar 1013 WHBQDT 07 19:00-20:00 0 0 A E 0 2018-03-04 17:05:52.807680 I Law & Order: Special Victims Unit 5_1 WMC-NBC 07 20:00-21:00 0 1 A 1 0 2018-03-04 17:05:52.807700 I Outrageous Acts of Science - Mod F 777 SCIHD 07 21:04-22:06 0 11 A 11 0 2018-03-04 17:05:52.807732 I Treehouse Masters - International: 863 APLHD 07 22:00-23:00 0 13 A 13 0 2018-03-04 17:05:52.807753 I Outrageous Acts of Science - Naugh 1251 SCIHD 07 22:06-00:10 0 0 A E 0 2018-03-04 17:05:52.807776 I America's Funniest Home Videos 781 UPHD 08 00:00-01:00 0 11 A 11 0 2018-03-04 17:05:52.807799 I Outrageous Acts of Science - Mod F 1251 SCIHD 08 00:10-01:12 0 0 A E 0 2018-03-04 17:05:52.807820 I Treehouse Masters - High Noon Salo 1260 APLHD 08 01:00-02:00 0 0 A R 0 2018-03-04 17:05:52.807841 I America's Funniest Home Videos 781 UPHD 08 01:00-02:00 0 11 A 11 0 2018-03-04 17:05:52.807861 I Outrageous Acts of Science - Crowd 1251 SCIHD 08 01:12-02:12 0 0 A E 0 2018-03-04 17:05:52.807883 I Treehouse Masters - Twenty Ton Tex 1260 APLHD 08 02:00-03:00 0 0 A R 0 2018-03-04 17:05:52.807903 I Say Yes to the Dress - Dad's Being 850 TLCHD 08 06:00-06:30 0 11 A 11 0 2018-03-04 17:05:52.807928 I Say Yes to the Dress - I Am a Brid 850 TLCHD 08 06:30-07:00 0 11 A 11 0 2018-03-04 17:05:52.807950 I Say Yes to the Dress - Come on in, 1350 TLCHD 08 07:00-07:30 0 0 A R 0 2018-03-04 17:05:52.807971 I Say Yes to the Dress - I Won the B 1350 TLCHD 08 07:30-08:00 0 0 A R 0 2018-03-04 17:05:52.807993 I Pit Bulls and Parolees - Battle Sc 863 APLHD 08 11:00-12:00 0 11 A 11 0 2018-03-04 17:05:52.808013 I Pit Bulls and Parolees - Flood Wat 863 APLHD 08 12:00-13:00 0 11 A 11 0 2018-03-04 17:05:52.808034 I Tanked - Legal Vending Machine 863 APLHD 08 13:00-14:00 0 11 A 11 0 2018-03-04 17:05:52.808055 I Treehouse Masters - Magical Party 1260 APLHD 08 14:00-15:00 0 0 A R 0 2018-03-04 17:05:52.808076 I Pokémon the Series: Sun & Moon - G 775 DXDHD 08 15:00-15:30 0 11 A 11 0 2018-03-04 17:05:52.808113 I Say Yes to the Dress - Booby Trap 850 TLCHD 08 15:00-15:30 0 13 A 13 0 2018-03-04 17:05:52.808136 I Pokémon the Series: Sun & Moon - R 1516 DXDHD 08 15:30-16:00 0 0 A R 0 2018-03-04 17:05:52.808158 I Say Yes to the Dress - Worth the W 850 TLCHD 08 15:30-16:00 0 11 A 11 0 2018-03-04 17:05:52.808179 I Odd Squad - Negative Town; License 10_1 WKNO HD 08 15:30-16:00 0 0 A R 0 2018-03-04 17:05:52.808201 I Say Yes to the Dress - Daddy Deare 1350 TLCHD 08 16:00-16:30 0 0 A R 0 2018-03-04 17:05:52.808221 I Odd Squad - Two Agents and a Baby; 10_1 WKNO HD 08 16:00-16:30 0 1 A 1 0 2018-03-04 17:05:52.808244 I Say Yes to the Dress - Vision Conf 1350 TLCHD 08 16:30-17:00 0 0 A R 0 2018-03-04 17:05:52.808267 I The Big Bang Theory - The Cooper/K 24_1 WATN-HD 08 18:30-19:00 0 3 A 3 0 2018-03-04 17:05:52.808288 I Wheel of Fortune - Leave Winter Be 5_1 WMC-NBC 08 18:30-19:00 0 1 A 1 0 2018-03-04 17:05:52.808311 I The Big Bang Theory - The Athenaeu 3_1 WREG-DT 08 19:00-19:31 0 1 A 1 0 2018-03-04 17:05:52.808334 I America's Funniest Home Videos 1435 UPHD 09 00:00-01:00 0 0 A E 0 2018-03-04 17:05:52.808353 I America's Funniest Home Videos 781 UPHD 09 01:00-02:00 0 11 A 11 0 2018-03-04 17:05:52.808376 I Say Yes to the Dress - I've Stalke 1350 TLCHD 09 06:00-06:30 0 0 A R 0 2018-03-04 17:05:52.808396 I Say Yes to the Dress - Bling, Lace 1350 TLCHD 09 06:30-07:00 0 0 A R 0 2018-03-04 17:05:52.808418 I Say Yes to the Dress - I Am Bride- 1350 TLCHD 09 07:00-07:30 0 0 A R 0 2018-03-04 17:05:52.808440 I Say Yes to the Dress - A Rainbow U 1350 TLCHD 09 07:30-08:00 0 0 A R 0 2018-03-04 17:05:52.808460 I Outrageous Acts of Science - Beta 777 SCIHD 09 08:00-09:00 0 11 A 11 0 2018-03-04 17:05:52.808482 I Outrageous Acts of Science - Epic 777 SCIHD 09 09:00-10:00 0 11 A 11 0 2018-03-04 17:05:52.808503 I Outrageous Acts of Science - Like 1251 SCIHD 09 10:00-11:00 0 0 A R 0 2018-03-04 17:05:52.808525 I Pit Bulls and Parolees - Can't Giv 863 APLHD 09 11:00-12:00 0 13 A 13 0 2018-03-04 17:05:52.808545 I Outrageous Acts of Science - Body 777 SCIHD 09 11:00-12:00 0 11 A 11 0 2018-03-04 17:05:52.808567 I Pit Bulls and Parolees - Collision 863 APLHD 09 12:00-13:00 0 13 A 13 0 2018-03-04 17:05:52.808589 I Outrageous Acts of Science - Neigh 777 SCIHD 09 12:00-13:00 0 11 A 11 0 2018-03-04 17:05:52.808609 I Diners, Drive-Ins and Dives - Big 845 FOODHD 09 13:00-13:30 0 13 A 13 0 2018-03-04 17:05:52.808631 I Outrageous Acts of Science - Beast 777 SCIHD 09 13:00-14:00 0 11 A 11 0 2018-03-04 17:05:52.808651 I Diners, Drive-Ins and Dives - Some 845 FOODHD 09 13:30-14:00 0 13 A 13 0 2018-03-04 17:05:52.808673 I Diners, Drive-Ins and Dives - Wher 845 FOODHD 09 14:00-14:30 0 13 A 13 0 2018-03-04 17:05:52.808693 I Outrageous Acts of Science - Truth 777 SCIHD 09 14:00-15:00 0 11 A 11 0 2018-03-04 17:05:52.808715 I Diners, Drive-Ins and Dives - Grab 845 FOODHD 09 14:30-15:00 0 13 A 13 0 2018-03-04 17:05:52.808746 I Pokémon the Series: Sun & Moon - T 775 DXDHD 09 15:00-15:30 0 15 A 15 0 2018-03-04 17:05:52.808765 I Diners, Drive-Ins and Dives - Lega 845 FOODHD 09 15:00-15:30 0 13 A 13 0 2018-03-04 17:05:52.808787 I Outrageous Acts of Science - Urban 777 SCIHD 09 15:00-16:00 0 11 A 11 0 2018-03-04 17:05:52.808807 I Pokémon the Series: Sun & Moon - C 775 DXDHD 09 15:30-16:00 0 15 A 15 0 2018-03-04 17:05:52.808830 I Diners, Drive-Ins and Dives - Who' 845 FOODHD 09 15:30-16:00 0 13 A 13 0 2018-03-04 17:05:52.808850 I Odd Squad - Haunt Squad; Safe Hous 10_1 WKNO HD 09 15:30-16:00 0 1 A 1 0 2018-03-04 17:05:52.808872 I Diners, Drive-Ins and Dives - All 845 FOODHD 09 16:00-16:30 0 13 A 13 0 2018-03-04 17:05:52.808893 I Outrageous Acts of Science - Groun 777 SCIHD 09 16:00-17:00 0 11 A 11 0 2018-03-04 17:05:52.808915 I Odd Squad - Back to the Past; Odd 10_1 WKNO HD 09 16:00-16:30 0 0 A R 0 2018-03-04 17:05:52.808937 I Diners, Drive-Ins and Dives - Gril 845 FOODHD 09 16:30-17:00 0 13 A 13 0 2018-03-04 17:05:52.808958 I Diners, Drive-Ins and Dives - Land 845 FOODHD 09 17:00-17:30 0 11 A 11 0 2018-03-04 17:05:52.808980 I Outrageous Acts of Science - Mod F 1251 SCIHD 09 17:00-18:00 0 0 A E 0 2018-03-04 17:05:52.809000 I Diners, Drive-Ins and Dives - Aces 845 FOODHD 09 17:30-18:00 0 11 A 11 0 2018-03-04 17:05:52.809022 I Diners, Drive-Ins and Dives - Isla 1280 FOODHD 09 18:00-18:30 0 0 A R 0 2018-03-04 17:05:52.809042 I Diners, Drive-Ins and Dives - Righ 845 FOODHD 09 18:30-19:00 0 11 A 11 0 2018-03-04 17:05:52.809064 I The Big Bang Theory - The Spoiler 24_1 WATN-HD 09 18:30-19:00 0 3 A 3 0 2018-03-04 17:05:52.809086 I Wheel of Fortune - Leave Winter Be 5_1 WMC-NBC 09 18:30-19:00 0 1 A 1 0 2018-03-04 17:05:52.809106 I Diners, Drive-Ins and Dives - Brun 1280 FOODHD 09 19:00-19:30 0 0 A R 0 2018-03-04 17:05:52.809128 I MasterChef? - Junior Edition: Culin 13_1 WHBQ-DT 09 19:00-20:00 0 1 A 1 0 2018-03-04 17:05:52.809148 I Diners, Drive-Ins and Dives - Creo 845 FOODHD 09 19:30-20:00 0 11 A 11 0 2018-03-04 17:05:52.809170 I Diners, Drive-Ins and Dives - Inte 845 FOODHD 09 20:00-20:30 0 11 A 11 0 2018-03-04 17:05:52.809190 I Diners, Drive-Ins and Dives - Barb 1280 FOODHD 09 20:30-21:00 0 0 A R 0 2018-03-04 17:05:52.809212 I Diners, Drive-Ins and Dives - Beef 845 FOODHD 09 21:00-21:30 0 11 A 11 0 2018-03-04 17:05:52.809233 I Diners, Drive-Ins and Dives - East 1280 FOODHD 09 21:30-22:00 0 0 A R 0 2018-03-04 17:05:52.809255 I Diners, Drive-Ins and Dives - Kick 1280 FOODHD 09 22:00-22:30 0 0 A R 0 2018-03-04 17:05:52.809275 I Diners, Drive-Ins and Dives - Soak 845 FOODHD 09 22:30-23:00 0 11 A 11 0 2018-03-04 17:05:52.809300 I Diners, Drive-Ins and Dives - Inte 1280 FOODHD 09 23:00-23:30 0 0 A E 0 2018-03-04 17:05:52.809321 I Diners, Drive-Ins and Dives - Barb 1280 FOODHD 09 23:30-00:00 0 0 A R 0 2018-03-04 17:05:52.809344 I Diners, Drive-Ins and Dives - Beef 1280 FOODHD 10 00:00-00:30 0 0 A E 0 2018-03-04 17:05:52.809372 I Diners, Drive-Ins and Dives - East 1280 FOODHD 10 00:30-01:00 0 0 A R 0 2018-03-04 17:05:52.809393 I Diners, Drive-Ins and Dives - Kick 1280 FOODHD 10 01:00-01:30 0 0 A R 0 2018-03-04 17:05:52.809416 I Diners, Drive-Ins and Dives - Soak 1280 FOODHD 10 01:30-02:00 0 0 A E 0 2018-03-04 17:05:52.809436 I Diners, Drive-Ins and Dives - Brun 1280 FOODHD 10 02:00-02:30 0 0 A R 0 2018-03-04 17:05:52.809459 I Diners, Drive-Ins and Dives - Creo 1280 FOODHD 10 02:30-03:00 0 0 A E 0 2018-03-04 17:05:52.809479 I Tanked - Dining With the Fishes 1260 APLHD 10 05:00-06:00 0 0 A R 0 2018-03-04 17:05:52.809500 I Tanked - NASCAR and Baseball Champ 1260 APLHD 10 06:00-07:00 0 0 A R 0 2018-03-04 17:05:52.809522 I Tanked - Bill Engvall: Here's Your 863 APLHD 10 07:00-08:00 0 11 A 11 0 2018-03-04 17:05:52.809542 I Tanked - Real Aquariums of Beverly 1260 APLHD 10 08:00-09:00 0 0 A R 0 2018-03-04 17:05:52.809564 I Pokémon the Series: Sun & Moon - T 1516 DXDHD 10 08:00-08:30 0 0 A E 0 2018-03-04 17:05:52.809585 I Yu-Gi-Oh! ARC-V - Twins With 'Tude 250 NIKTON 10 08:00-08:30 0 11 A 11 0 2018-03-04 17:05:52.809606 I Tanked - Fish City, Kid 863 APLHD 10 09:00-10:00 0 11 A 11 0 2018-03-04 17:05:52.809625 I Tanked - Imaginarium Aquarium 863 APLHD 10 10:00-11:00 0 13 A 13 0 2018-03-04 17:05:52.809646 I America's Funniest Home Videos 781 UPHD 10 10:00-11:00 0 11 A 11 0 2018-03-04 17:05:52.809666 I Tanked - DJ of Dragons 863 APLHD 10 11:00-12:00 0 13 A 13 0 2018-03-04 17:05:52.809687 I America's Funniest Home Videos 781 UPHD 10 11:00-12:00 0 11 A 11 0 2018-03-04 17:05:52.809708 I Tanked - The Miami Heat Is On! 863 APLHD 10 12:00-13:00 0 11 A 11 0 2018-03-04 17:05:52.809737 I Kids Baking Championship - Cover S 1280 FOODHD 10 12:00-13:00 0 0 A E 0 2018-03-04 17:05:52.809759 I Say Yes to the Dress - Father of t 1350 TLCHD 10 12:00-12:30 0 0 A R 0 2018-03-04 17:05:52.809779 I America's Funniest Home Videos 781 UPHD 10 12:03-13:02 0 13 A 13 0 2018-03-04 17:05:52.809801 I Say Yes to the Dress - Sisters Kno 1350 TLCHD 10 12:30-13:00 0 0 A R 0 2018-03-04 17:05:52.809821 I Say Yes to the Dress - A Family Af 850 TLCHD 10 13:00-13:30 0 11 A 11 0 2018-03-04 17:05:52.809842 I America's Funniest Home Videos 781 UPHD 10 13:02-14:01 0 13 A 13 0 2018-03-04 17:05:52.809864 I Say Yes to the Dress - You're Maki 850 TLCHD 10 13:30-14:00 0 11 A 11 0 2018-03-04 17:05:52.809885 I Say Yes to the Dress - Mom's Day, 1350 TLCHD 10 14:00-14:30 0 0 A R 0 2018-03-04 17:05:52.809907 I America's Funniest Home Videos 781 UPHD 10 14:01-15:00 0 11 A 11 0 2018-03-04 17:05:52.809926 I Say Yes to the Dress - Day of Chal 850 TLCHD 10 14:30-15:00 0 13 A 13 0 2018-03-04 17:05:52.809949 I Pokémon the Series: Sun & Moon - P 775 DXDHD 10 15:00-15:30 0 13 A 13 0 2018-03-04 17:05:52.809971 I Say Yes to the Dress - Not What I 1350 TLCHD 10 15:00-15:30 0 0 A R 0 2018-03-04 17:05:52.809991 I America's Funniest Home Videos 781 UPHD 10 15:00-16:00 0 11 A 11 0 2018-03-04 17:05:52.810013 I Pokémon the Series: Sun & Moon - R 1516 DXDHD 10 15:30-16:00 0 0 A E 0 2018-03-04 17:05:52.810033 I Say Yes to the Dress - Not What I 850 TLCHD 10 15:30-16:00 0 13 A 13 0 2018-03-04 17:05:52.810055 I Say Yes to the Dress - A Mother's 1350 TLCHD 10 16:00-16:30 0 0 A R 0 2018-03-04 17:05:52.810074 I America's Funniest Home Videos 781 UPHD 10 16:00-17:00 0 11 A 11 0 2018-03-04 17:05:52.810096 I Say Yes to the Dress - I'll Know I 850 TLCHD 10 16:30-17:00 0 13 A 13 0 2018-03-04 17:05:52.810116 I Say Yes to the Dress - Apple of Hi 1350 TLCHD 10 17:00-17:30 0 0 A R 0 2018-03-04 17:05:52.810137 I America's Funniest Home Videos 781 UPHD 10 17:00-18:00 0 11 A 11 0 2018-03-04 17:05:52.810160 I Say Yes to the Dress - A Surprisin 850 TLCHD 10 17:30-18:00 0 13 A 13 0 2018-03-04 17:05:52.810180 I Say Yes to the Dress - There's a S 1350 TLCHD 10 18:00-19:00 0 0 A R 0 2018-03-04 17:05:52.810202 I Wheel of Fortune - Fabulous Florid 5_1 WMC-NBC 10 18:30-19:00 0 1 A 1 0 2018-03-04 17:05:52.810222 I Say Yes to the Dress - I'm the Bri 850 TLCHD 10 19:00-20:04 0 11 A 11 0 2018-03-04 17:05:52.810244 I Say Yes to the Dress - I'm the Bri 1350 TLCHD 10 22:10-23:10 0 0 A E 0 2018-03-04 17:05:52.810265 I Say Yes to the Dress - There's a S 1350 TLCHD 11 01:00-03:00 0 0 A R 0 2018-03-04 17:05:52.810287 I Say Yes to the Dress: Atlanta - Br 1350 TLCHD 11 03:00-03:30 0 0 A R 0 2018-03-04 17:05:52.810311 I Say Yes to the Dress: Atlanta - We 1350 TLCHD 11 03:30-04:00 0 0 A R 0 2018-03-04 17:05:52.810331 I Say Yes to the Dress: Atlanta - Fi 1350 TLCHD 11 04:00-04:30 0 0 A R 0 2018-03-04 17:05:52.810353 I Say Yes to the Dress: Atlanta - Ru 1350 TLCHD 11 04:30-05:00 0 0 A R 0 2018-03-04 17:05:52.810374 I Say Yes to the Dress: Atlanta - Wh 1350 TLCHD 11 05:00-05:30 0 0 A R 0 2018-03-04 17:05:52.810397 I Say Yes to the Dress: Atlanta - I 1350 TLCHD 11 05:30-06:00 0 0 A R 0 2018-03-04 17:05:52.810417 I Say Yes to the Dress: Atlanta - Be 1350 TLCHD 11 06:00-06:30 0 0 A R 0 2018-03-04 17:05:52.810440 I Say Yes to the Dress: Atlanta - No 1350 TLCHD 11 06:30-07:00 0 0 A R 0 2018-03-04 17:05:52.810461 I Say Yes to the Dress: Atlanta - A 1350 TLCHD 11 07:00-07:30 0 0 A R 0 2018-03-04 17:05:52.810486 I Say Yes to the Dress: Atlanta - Wh 1350 TLCHD 11 07:30-08:00 0 0 A R 0 2018-03-04 17:05:52.810507 I Say Yes to the Dress: Atlanta - Mo 1350 TLCHD 11 08:00-08:30 0 0 A R 0 2018-03-04 17:05:52.810528 I America's Funniest Home Videos 1435 UPHD 11 08:00-09:00 0 0 A R 0 2018-03-04 17:05:52.810549 I Say Yes to the Dress: Atlanta - A 1350 TLCHD 11 08:30-09:00 0 0 A R 0 2018-03-04 17:05:52.810571 I Say Yes to the Dress: Atlanta - A 1350 TLCHD 11 09:00-09:30 0 0 A R 0 2018-03-04 17:05:52.810591 I America's Funniest Home Videos 781 UPHD 11 09:00-10:00 0 11 A 11 0 2018-03-04 17:05:52.810613 I Say Yes to the Dress: Atlanta - No 1350 TLCHD 11 09:30-10:00 0 0 A R 0 2018-03-04 17:05:52.810634 I Say Yes to the Dress: Atlanta - A 850 TLCHD 11 10:00-10:30 0 11 A 11 0 2018-03-04 17:05:52.810659 I America's Funniest Home Videos 1435 UPHD 11 10:00-11:00 0 0 A R 0 2018-03-04 17:05:52.810680 I Say Yes to the Dress: Atlanta - Th 850 TLCHD 11 10:30-11:00 0 11 A 11 0 2018-03-04 17:05:52.810701 I America's Funniest Home Videos 1435 UPHD 11 11:00-12:00 0 0 A R 0 2018-03-04 17:05:52.810740 I America's Funniest Home Videos 1435 UPHD 11 12:03-13:02 0 0 A R 0 2018-03-04 17:05:52.810768 I Worst Cooks in America - Show Me t 845 FOODHD 11 13:00-14:00 0 11 A 11 0 2018-03-04 17:05:52.810793 I America's Funniest Home Videos 1435 UPHD 11 13:02-14:00 0 0 A R 0 2018-03-04 17:05:52.810814 I Worst Cooks in America - Game Day! 1280 FOODHD 11 14:00-15:00 0 0 A R 0 2018-03-04 17:05:52.810836 I America's Funniest Home Videos 1435 UPHD 11 14:00-15:00 0 0 A R 0 2018-03-04 17:05:52.810857 I Pokémon the Series: Sun & Moon - O 1516 DXDHD 11 15:00-15:30 0 0 A R 0 2018-03-04 17:05:52.810883 I Worst Cooks in America - Leftovers 1280 FOODHD 11 15:00-16:00 0 0 A R 0 2018-03-04 17:05:52.810905 I America's Funniest Home Videos 781 UPHD 11 15:00-16:00 0 11 A 11 0 2018-03-04 17:05:52.810926 I Worst Cooks in America - Sweets fo 1280 FOODHD 11 16:00-17:00 0 0 A R 0 2018-03-04 17:05:52.810947 I America's Funniest Home Videos 1435 UPHD 11 16:00-17:00 0 0 A R 0 2018-03-04 17:05:52.810968 I Worst Cooks in America - Sausage P 1280 FOODHD 11 17:00-18:00 0 0 A R 0 2018-03-04 17:05:52.810989 I America's Funniest Home Videos 781 UPHD 11 17:00-18:00 0 11 A 11 0 2018-03-04 17:05:52.811009 I Worst Cooks in America - Can You P 1280 FOODHD 11 18:00-19:00 0 0 A R 0 2018-03-04 17:05:52.811034 I Worst Cooks in America - Flair Fla 1280 FOODHD 11 19:00-20:00 0 0 A E 0 2018-03-04 17:05:52.811056 I Worst Cooks in America - The Final 845 FOODHD 11 20:00-21:00 0 11 A 11 0 2018-03-04 17:05:52.811075 I Elementary - Ancient History 3_1 WREG-DT 11 22:37-23:37 0 1 A 1 0 2018-03-04 17:05:52.811098 I Worst Cooks in America - The Final 1280 FOODHD 11 23:00-00:00 0 0 A E 0 2018-03-04 17:05:52.811122 I Worst Cooks in America - Flair Fla 1280 FOODHD 12 02:00-03:00 0 0 A E 0 2018-03-04 17:05:52.811145 I Say Yes to the Dress - The Sasha D 1350 TLCHD 12 06:00-06:30 0 0 A R 0 2018-03-04 17:05:52.811166 I Say Yes to the Dress - What Does M 1350 TLCHD 12 06:30-07:00 0 0 A R 0 2018-03-04 17:05:52.811187 I My Cat From Hell - Woody the Kille 863 APLHD 12 07:00-08:00 0 11 A 11 0 2018-03-04 17:05:52.811208 I Say Yes to the Dress - I'm a Legac 1350 TLCHD 12 07:00-07:30 0 0 A R 0 2018-03-04 17:05:52.811230 I Say Yes to the Dress - Not Afraid 1350 TLCHD 12 07:30-08:00 0 0 A R 0 2018-03-04 17:05:52.811251 I Pit Bulls and Parolees - Out of th 863 APLHD 12 11:00-12:00 0 11 A 11 0 2018-03-04 17:05:52.811272 I Pit Bulls and Parolees - Almost Pe 1260 APLHD 12 12:00-13:00 0 0 A R 0 2018-03-04 17:05:52.811294 I Kids Baking Championship - Cover S 1280 FOODHD 12 12:00-13:00 0 0 A E 0 2018-03-04 17:05:52.811314 I Tanked - Lifestyles of the Fish & 863 APLHD 12 13:00-14:00 0 11 A 11 0 2018-03-04 17:05:52.811337 I Treehouse Masters - Canopy Island 1260 APLHD 12 14:00-15:00 0 0 A R 0 2018-03-04 17:05:52.811357 I Pokémon the Series: Sun & Moon - A 775 DXDHD 12 15:00-15:30 0 11 A 11 0 2018-03-04 17:05:52.811379 I Say Yes to the Dress - Case of Dre 1350 TLCHD 12 15:00-15:30 0 0 A R 0 2018-03-04 17:05:52.811400 I Pokémon the Series: Sun & Moon - A 1516 DXDHD 12 15:30-16:00 0 0 A R 0 2018-03-04 17:05:52.811422 I Say Yes to the Dress - Drama, Dram 850 TLCHD 12 15:30-16:00 0 11 A 11 0 2018-03-04 17:05:52.811442 I Odd Squad - Mid-day in the Garden 10_1 WKNO HD 12 15:30-16:00 0 0 A R 0 2018-03-04 17:05:52.811463 I Say Yes to the Dress - Please Love 1350 TLCHD 12 16:00-16:30 0 0 A R 0 2018-03-04 17:05:52.811483 I Odd Squad - The O Team; Show Me th 10_1 WKNO HD 12 16:00-16:30 0 1 A 1 0 2018-03-04 17:05:52.811505 I Say Yes to the Dress - Sexy Sells 850 TLCHD 12 16:30-17:00 0 11 A 11 0 2018-03-04 17:05:52.811528 I Say Yes to the Dress - I'm the Bri 1350 TLCHD 12 17:00-18:00 0 0 A E 0 2018-03-04 17:05:52.811549 I The Big Bang Theory - The Tangible 24_1 WATN-HD 12 18:30-19:00 0 3 A 3 0 2018-03-04 17:05:52.811570 I Wheel of Fortune - America's Game 5_1 WMC-NBC 12 18:30-19:00 0 1 A 1 0 2018-03-04 17:05:52.811591 I Say Yes to the Dress - I'm Not the 1350 TLCHD 13 06:00-06:30 0 0 A R 0 2018-03-04 17:05:52.811613 I Say Yes to the Dress - This Is You 1350 TLCHD 13 06:30-07:00 0 0 A R 0 2018-03-04 17:05:52.811634 I My Cat From Hell - Darkness Comes 863 APLHD 13 07:00-08:00 0 11 A 11 0 2018-03-04 17:05:52.811656 I Say Yes to the Dress - You Are a D 1350 TLCHD 13 07:00-07:30 0 0 A R 0 2018-03-04 17:05:52.811680 I Say Yes to the Dress - I'm a Firm 1350 TLCHD 13 07:30-08:00 0 0 A R 0 2018-03-04 17:05:52.811701 I Pit Bulls and Parolees - Not Meant 1260 APLHD 13 11:00-12:00 0 0 A R 0 2018-03-04 17:05:52.811743 I Pit Bulls and Parolees - Perfect M 1260 APLHD 13 12:00-13:00 0 0 A R 0 2018-03-04 17:05:52.811764 I Tanked - Popcorn on the High Seas 1260 APLHD 13 13:00-14:00 0 0 A R 0 2018-03-04 17:05:52.811786 I Chopped Junior - Got Elk? 845 FOODHD 13 13:00-14:00 0 11 A 11 0 2018-03-04 17:05:52.811810 I Treehouse Masters - Vincent Van Tr 1260 APLHD 13 14:00-15:00 0 0 A R 0 2018-03-04 17:05:52.811830 I Pokémon the Series: Sun & Moon - P 1516 DXDHD 13 15:00-15:30 0 0 A E 0 2018-03-04 17:05:52.811852 I Say Yes to the Dress - Top My Drea 1350 TLCHD 13 15:00-15:30 0 0 A R 0 2018-03-04 17:05:52.811873 I Pokémon the Series: Sun & Moon - O 1516 DXDHD 13 15:30-16:00 0 0 A R 0 2018-03-04 17:05:52.811895 I Say Yes to the Dress - The Sale is 850 TLCHD 13 15:30-16:00 0 11 A 11 0 2018-03-04 17:05:52.811915 I Odd Squad - Oscar Strikes Back 10_1 WKNO HD 13 15:30-16:00 0 0 A R 0 2018-03-04 17:05:52.811941 I Say Yes to the Dress - Designer Dr 850 TLCHD 13 16:00-16:30 0 11 A 11 0 2018-03-04 17:05:52.811967 I Odd Squad - Olympia's Day; Otis's 10_1 WKNO HD 13 16:00-16:30 0 0 A R 0 2018-03-04 17:05:52.811994 I Say Yes to the Dress - Like Mother 850 TLCHD 13 16:30-17:00 0 11 A 11 0 2018-03-04 17:05:52.812017 I The Big Bang Theory - The Monster 24_1 WATN-HD 13 18:30-19:00 0 3 A 3 0 2018-03-04 17:05:52.812037 I Wheel of Fortune - America's Game 5_1 WMC-NBC 13 18:30-19:00 0 1 A 1 0 2018-03-04 17:05:52.812060 I America's Funniest Home Videos 781 UPHD 14 00:00-01:00 0 11 A 11 0 2018-03-04 17:05:52.812080 I America's Funniest Home Videos 781 UPHD 14 01:00-02:00 0 11 A 11 0 2018-03-04 17:05:52.812110 I Cooks vs. Cons - Gas Station Gourm 845 FOODHD 14 03:00-04:00 0 11 A 11 0 2018-03-04 17:05:52.812132 I Say Yes to the Dress - Breaking th 1350 TLCHD 14 06:00-06:30 0 0 A E 0 2018-03-04 17:05:52.812155 I Say Yes to the Dress - Vision Conf 1350 TLCHD 14 06:30-07:00 0 0 A R 0 2018-03-04 17:05:52.812178 I My Cat From Hell - Fat Elvis 863 APLHD 14 07:00-08:00 0 11 A 11 0 2018-03-04 17:05:52.812200 I Say Yes to the Dress - Randy, I Th 1350 TLCHD 14 07:00-07:30 0 0 A R 0 2018-03-04 17:05:52.812224 I Say Yes to the Dress - There's a N 1350 TLCHD 14 07:30-08:00 0 0 A R 0 2018-03-04 17:05:52.812245 I Pit Bulls and Parolees - Unleashed 1260 APLHD 14 11:00-12:00 0 0 A R 0 2018-03-04 17:05:52.812268 I Pit Bulls and Parolees - Rescuing 863 APLHD 14 12:00-13:00 0 11 A 11 0 2018-03-04 17:05:52.812289 I Tanked - Rock N' Roll Eruption 863 APLHD 14 13:00-14:00 0 11 A 11 0 2018-03-04 17:05:52.812311 I Treehouse Masters - Record High Re 863 APLHD 14 14:00-15:00 0 13 A 13 0 2018-03-04 17:05:52.812334 I Outrageous Acts of Science - Mind 777 SCIHD 14 14:00-15:00 0 11 A 11 0 2018-03-04 17:05:52.812355 I Treehouse Masters - Country Supers 1260 APLHD 14 15:00-16:00 0 0 A R 0 2018-03-04 17:05:52.812379 I Pokémon the Series: Sun & Moon - A 1516 DXDHD 14 15:00-15:30 0 0 A R 0 2018-03-04 17:05:52.812399 I Outrageous Acts of Science - Wild 777 SCIHD 14 15:00-16:00 0 11 A 11 0 2018-03-04 17:05:52.812422 I Pokémon the Series: Sun & Moon - G 775 DXDHD 14 15:30-16:00 0 13 A 13 0 2018-03-04 17:05:52.812442 I Odd Squad - And Then They Were Pup 10_1 WKNO HD 14 15:30-16:00 0 0 A R 0 2018-03-04 17:05:52.812465 I Treehouse Masters - The Coolest Tr 1260 APLHD 14 16:00-17:00 0 0 A R 0 2018-03-04 17:05:52.812487 I Outrageous Acts of Science - Insan 777 SCIHD 14 16:00-17:00 0 11 A 11 0 2018-03-04 17:05:52.812508 I Odd Squad - Flawed Squad; The Crea 10_1 WKNO HD 14 16:00-16:30 0 0 A R 0 2018-03-04 17:05:52.812530 I Treehouse Masters - Rusty Rooted R 1260 APLHD 14 17:00-18:00 0 0 A R 0 2018-03-04 17:05:52.812551 I Outrageous Acts of Science - Win o 1251 SCIHD 14 17:00-18:00 0 0 A R 0 2018-03-04 17:05:52.812573 I Treehouse Masters - Ultimate Treeh 863 APLHD 14 18:00-19:00 0 13 A 13 0 2018-03-04 17:05:52.812593 I Outrageous Acts of Science - No Br 777 SCIHD 14 18:00-19:00 0 11 A 11 0 2018-03-04 17:05:52.812616 I The Big Bang Theory - The Contract 24_1 WATN-HD 14 18:30-19:00 0 3 A 3 0 2018-03-04 17:05:52.812640 I Wheel of Fortune - America's Game 5_1 WMC-NBC 14 18:30-19:00 0 1 A 1 0 2018-03-04 17:05:52.812661 I Treehouse Masters - Home Tree Home 1260 APLHD 14 19:00-20:00 0 0 A R 0 2018-03-04 17:05:52.812682 I Outrageous Acts of Science 777 SCIHD 14 19:00-21:04 0 11 A 11 0 2018-03-04 17:05:52.812702 I The X-Files - Nothing Lasts Foreve 13 WHBQ 14 19:00-20:00 0 0 A E 0 2018-03-04 17:05:52.812732 I The X-Files - Nothing Lasts Foreve 13_1 WHBQ-DT 14 19:00-20:00 0 1 A 1 0 2018-03-04 17:05:52.812753 I The X-Files - Nothing Lasts Foreve 1013 WHBQDT 14 19:00-20:00 0 0 A E 0 2018-03-04 17:05:52.812775 I Law & Order: Special Victims Unit 5_1 WMC-NBC 14 20:00-21:00 0 1 A 1 0 2018-03-04 17:05:52.812797 I Outrageous Acts of Science - Owned 777 SCIHD 14 21:04-22:06 0 11 A 11 0 2018-03-04 17:05:52.812818 I Treehouse Masters - Apres Skihouse 1260 APLHD 14 22:00-23:00 0 0 A R 0 2018-03-04 17:05:52.812839 I Outrageous Acts of Science 777 SCIHD 14 22:06-00:10 0 11 A 11 0 2018-03-04 17:05:52.812858 I America's Funniest Home Videos 781 UPHD 15 00:00-01:00 0 13 A 13 0 2018-03-04 17:05:52.812880 I Outrageous Acts of Science - Owned 1251 SCIHD 15 00:10-01:12 0 0 A E 0 2018-03-04 17:05:52.812900 I Treehouse Masters - African Safari 863 APLHD 15 01:00-02:00 0 11 A 11 0 2018-03-04 17:05:52.812924 I America's Funniest Home Videos 1435 UPHD 15 01:00-02:00 0 0 A R 0 2018-03-04 17:05:52.812947 I Outrageous Acts of Science - No Br 1251 SCIHD 15 01:12-02:12 0 0 A E 0 2018-03-04 17:05:52.812967 I Treehouse Masters - Treetop Taphou 1260 APLHD 15 02:00-03:00 0 0 A R 0 2018-03-04 17:05:52.812989 I Say Yes to the Dress - Worth the W 1350 TLCHD 15 06:00-06:30 0 0 A E 0 2018-03-04 17:05:52.813009 I Say Yes to the Dress - Booby Trap 1350 TLCHD 15 06:30-07:00 0 0 A E 0 2018-03-04 17:05:52.813031 I My Cat From Hell - Psychic Disconn 863 APLHD 15 07:00-08:00 0 11 A 11 0 2018-03-04 17:05:52.813052 I Say Yes to the Dress - That Looks 1350 TLCHD 15 07:00-07:30 0 0 A R 0 2018-03-04 17:05:52.813074 I Say Yes to the Dress - The Male Pe 1350 TLCHD 15 07:30-08:00 0 0 A R 0 2018-03-04 17:05:52.813096 I Pit Bulls and Parolees - Scarred 863 APLHD 15 11:00-12:00 0 11 A 11 0 2018-03-04 17:05:52.813116 I Pit Bulls and Parolees - Jail Brea 863 APLHD 15 12:00-13:00 0 11 A 11 0 2018-03-04 17:05:52.813137 I Tanked - Tank This 1260 APLHD 15 13:00-14:00 0 0 A R 0 2018-03-04 17:05:52.813158 I Treehouse Masters - Lost in the Fo 1260 APLHD 15 14:00-15:00 0 0 A R 0 2018-03-04 17:05:52.813180 I Pokémon the Series: Sun & Moon - A 775 DXDHD 15 15:00-15:30 0 11 A 11 0 2018-03-04 17:05:52.813201 I Impossible Engineering - US Navy's 1251 SCIHD 15 15:00-16:00 0 0 A R 0 2018-03-04 17:05:52.813226 I Say Yes to the Dress - All Hands o 1350 TLCHD 15 15:00-15:30 0 0 A R 0 2018-03-04 17:05:52.813249 I Pokémon the Series: Sun & Moon - A 1516 DXDHD 15 15:30-16:00 0 0 A R 0 2018-03-04 17:05:52.813270 I Say Yes to the Dress - Dueling Vis 1350 TLCHD 15 15:30-16:00 0 0 A R 0 2018-03-04 17:05:52.813291 I Odd Squad - Happy Halfiversary; Go 10_1 WKNO HD 15 15:30-16:00 0 0 A R 0 2018-03-04 17:05:52.813312 I Impossible Engineering - NASA's Ro 777 SCIHD 15 16:00-17:00 0 11 A 11 0 2018-03-04 17:05:52.813334 I Say Yes to the Dress - Entourage S 1350 TLCHD 15 16:00-16:30 0 0 A R 0 2018-03-04 17:05:52.813354 I Odd Squad - Night Shift; Put Me in 10_1 WKNO HD 15 16:00-16:30 0 0 A R 0 2018-03-04 17:05:52.813376 I Say Yes to the Dress - Tight, Stra 850 TLCHD 15 16:30-17:00 0 13 A 13 0 2018-03-04 17:05:52.813398 I Impossible Engineering - World's L 1251 SCIHD 15 17:00-18:00 0 0 A R 0 2018-03-04 17:05:52.813418 I Impossible Engineering - World's F 777 SCIHD 15 18:00-19:00 0 11 A 11 0 2018-03-04 17:05:52.813440 I The Big Bang Theory - The Closet R 24_1 WATN-HD 15 18:30-19:00 0 3 A 3 0 2018-03-04 17:05:52.813460 I Wheel of Fortune - America's Game 5_1 WMC-NBC 15 18:30-19:00 0 1 A 1 0 2018-03-04 17:05:52.813482 I Impossible Engineering - Panama Ca 1251 SCIHD 15 19:00-20:02 0 0 A R 0 2018-03-04 17:05:52.813503 I Impossible Engineering - Panama Ca 1251 SCIHD 15 22:06-23:08 0 0 A R 0 2018-03-04 17:05:52.813524 I America's Funniest Home Videos 781 UPHD 16 00:00-01:00 0 11 A 11 0 2018-03-04 17:05:52.813546 I America's Funniest Home Videos 781 UPHD 16 01:00-02:00 0 11 A 11 0 2018-03-04 17:05:52.813566 I Impossible Engineering - World's F 1251 SCIHD 16 01:12-02:12 0 0 A E 0 2018-03-04 17:05:52.813588 I Say Yes to the Dress - Agree to Di 1350 TLCHD 16 06:00-06:30 0 0 A R 0 2018-03-04 17:05:52.813608 I Say Yes to the Dress - A Situation 1350 TLCHD 16 06:30-07:00 0 0 A R 0 2018-03-04 17:05:52.813630 I My Cat From Hell - Bad Cat Karma 863 APLHD 16 07:00-08:00 0 11 A 11 0 2018-03-04 17:05:52.813660 I Say Yes to the Dress - Daddy Deare 1350 TLCHD 16 07:00-07:30 0 0 A R 0 2018-03-04 17:05:52.813683 I Say Yes to the Dress - Love at Fir 1350 TLCHD 16 07:30-08:00 0 0 A R 0 2018-03-04 17:05:52.813707 I Pit Bulls and Parolees - Knife's E 863 APLHD 16 11:00-12:00 0 13 A 13 0 2018-03-04 17:05:52.813739 I Outrageous Acts of Science - Super 777 SCIHD 16 11:00-12:00 0 11 A 11 0 2018-03-04 17:05:52.813762 I Pit Bulls and Parolees - Blindside 863 APLHD 16 12:00-13:00 0 13 A 13 0 2018-03-04 17:05:52.813783 I Outrageous Acts of Science - Cowbo 777 SCIHD 16 12:00-13:00 0 11 A 11 0 2018-03-04 17:05:52.813805 I Tanked - Sherri Shepherd On the Ro 1260 APLHD 16 13:00-14:00 0 0 A R 0 2018-03-04 17:05:52.813825 I Diners, Drive-Ins and Dives - A Bu 845 FOODHD 16 13:00-13:30 0 13 A 13 0 2018-03-04 17:05:52.813848 I Outrageous Acts of Science - Kings 777 SCIHD 16 13:00-14:00 0 11 A 11 0 2018-03-04 17:05:52.813871 I Diners, Drive-Ins and Dives - Name 845 FOODHD 16 13:30-14:00 0 13 A 13 0 2018-03-04 17:05:52.813891 I Tanked - Howie Mandel Is the Brain 1260 APLHD 16 14:00-15:00 0 0 A R 0 2018-03-04 17:05:52.813914 I Diners, Drive-Ins and Dives - By R 845 FOODHD 16 14:00-14:30 0 13 A 13 0 2018-03-04 17:05:52.813934 I Outrageous Acts of Science - Pure 777 SCIHD 16 14:00-15:00 0 11 A 11 0 2018-03-04 17:05:52.813956 I Diners, Drive-Ins and Dives - You 845 FOODHD 16 14:30-15:00 0 13 A 13 0 2018-03-04 17:05:52.813975 I Tanked - Penn and Teller Monkey Ma 863 APLHD 16 15:00-16:00 0 13 A 13 0 2018-03-04 17:05:52.813997 I Pokémon the Series: Sun & Moon - S 1516 DXDHD 16 15:00-15:30 0 0 A R 0 2018-03-04 17:05:52.814018 I Diners, Drive-Ins and Dives - Gril 845 FOODHD 16 15:00-15:30 0 11 A 11 0 2018-03-04 17:05:52.814040 I Outrageous Acts of Science - Bragg 1251 SCIHD 16 15:00-16:00 0 0 A R 0 2018-03-04 17:05:52.814062 I Say Yes to the Dress - Mom's Seal 1350 TLCHD 16 15:00-15:30 0 0 A R 0 2018-03-04 17:05:52.814083 I Pokémon the Series: Sun & Moon - A 1516 DXDHD 16 15:30-16:00 0 0 A R 0 2018-03-04 17:05:52.814107 I Diners, Drive-Ins and Dives - Sout 845 FOODHD 16 15:30-16:00 0 11 A 11 0 2018-03-04 17:05:52.814128 I Say Yes to the Dress - A Dress Lik 850 TLCHD 16 15:30-16:00 0 15 A 15 0 2018-03-04 17:05:52.814150 I Odd Squad - Extreme Cakeover; A Jo 10_1 WKNO HD 16 15:30-16:00 0 0 A R 0 2018-03-04 17:05:52.814169 I Tanked - Jeff Dunham's Tank for Du 1260 APLHD 16 16:00-17:00 0 0 A R 0 2018-03-04 17:05:52.814191 I Diners, Drive-Ins and Dives - You 845 FOODHD 16 16:00-16:30 0 13 A 13 0 2018-03-04 17:05:52.814211 I Outrageous Acts of Science - Reboo 777 SCIHD 16 16:00-17:00 0 11 A 11 0 2018-03-04 17:05:52.814232 I Say Yes to the Dress - The Quest f 1350 TLCHD 16 16:00-16:30 0 0 A R 0 2018-03-04 17:05:52.814256 I Odd Squad - Three's Company; Behin 10_1 WKNO HD 16 16:00-16:30 0 0 A R 0 2018-03-04 17:05:52.814276 I Diners, Drive-Ins and Dives - Outs 845 FOODHD 16 16:30-17:00 0 13 A 13 0 2018-03-04 17:05:52.814298 I Say Yes to the Dress - Style Thera 1350 TLCHD 16 16:30-17:00 0 0 A R 0 2018-03-04 17:05:52.814317 I Tanked - Going for the Gold(fish) 863 APLHD 16 17:00-18:00 0 13 A 13 0 2018-03-04 17:05:52.814339 I Diners, Drive-Ins and Dives - Far 845 FOODHD 16 17:00-17:30 0 11 A 11 0 2018-03-04 17:05:52.814360 I Outrageous Acts of Science - Stran 1251 SCIHD 16 17:00-18:00 0 0 A R 0 2018-03-04 17:05:52.814382 I Say Yes to the Dress - Randy Just 1350 TLCHD 16 17:00-18:00 0 0 A R 0 2018-03-04 17:05:52.814404 I Diners, Drive-Ins and Dives - Samm 845 FOODHD 16 17:30-18:00 0 11 A 11 0 2018-03-04 17:05:52.814424 I Diners, Drive-Ins and Dives - Inte 845 FOODHD 16 18:00-18:30 0 11 A 11 0 2018-03-04 17:05:52.814446 I Diners, Drive-Ins and Dives - Soup 845 FOODHD 16 18:30-19:00 0 11 A 11 0 2018-03-04 17:05:52.814467 I The Big Bang Theory - The Tenure T 24_1 WATN-HD 16 18:30-19:00 0 3 A 3 0 2018-03-04 17:05:52.814491 I Wheel of Fortune - America's Game 5_1 WMC-NBC 16 18:30-19:00 0 1 A 1 0 2018-03-04 17:05:52.814493 I --- print list end ---

comment:31 Changed 2 months ago by Brian Brunswick

This is happening to me as well, often recordings would start a minute or two late as well when the backend was not very responsive. (Why is this not marked failed?) I took to running a script to restart it regularly and when frozen. I was running the 0.28.0+fixes... version from ubuntu 16.04, I recently upgraded to ubuntu 18.04 with version "29.1+fixes.20180414.329c235-0ubuntu" in the hope of fixing it, but the scheduler problem is still there, though the late recordings seem only very occaisional, and I have not had a complete backend freeze.

In the logs, I see very long delayed, schedule interrupted will retry messages. I am running purely EIT off UK freeview with two USB recorders. Here is a section of log going from working to non-working.

If someone can point me to likely sections of code I can compile up a version with extra instrumenting and see what is happening.

Jul 20 05:03:36 morgul mythbackend: mythbackend[3378]: I Scheduler scheduler.cpp:2469 (HandleReschedule) Scheduled 777 items in 90.7 = 90.13 match + 0.18 check + 0.37 place
Jul 20 05:07:07 morgul mythbackend: mythbackend[3378]: I Scheduler scheduler.cpp:2356 (HandleReschedule) Reschedule requested for MATCH 0 2 0 2019-07-20T07:00:00Z EITScanner
Jul 20 05:08:46 morgul mythbackend: mythbackend[3378]: I Scheduler scheduler.cpp:2469 (HandleReschedule) Scheduled 775 items in 95.9 = 95.38 match + 0.11 check + 0.40 place
Jul 20 05:11:12 morgul mythbackend: mythbackend[3378]: I Scheduler scheduler.cpp:2356 (HandleReschedule) Reschedule requested for MATCH 0 2 0 2019-07-21T03:00:00Z EITScanner
Jul 20 05:12:46 morgul mythbackend: mythbackend[3378]: I Scheduler scheduler.cpp:2356 (HandleReschedule) Reschedule requested for MATCH 0 2 0 2019-07-20T05:00:00Z EITScanner
Jul 20 05:14:25 morgul mythbackend: mythbackend[3378]: I Scheduler scheduler.cpp:2469 (HandleReschedule) Scheduled 775 items in 190.2 = 189.57 match + 0.24 check + 0.44 place
Jul 20 05:28:30 morgul mythbackend: mythbackend[3378]: I Scheduler tv_rec.cpp:319 (RecordPending) TVRec[12]: RecordPending on inputid 12
Jul 20 05:28:30 morgul mythbackend: mythbackend[3378]: I Scheduler cardutil.cpp:1448 (GetConflictingInputs) CardUtil: GetConflictingInputs() input 12
Jul 20 05:29:00 morgul mythbackend: mythbackend[3378]: I Scheduler tv_rec.cpp:433 (StartRecording) TVRec[12]: StartRecording("The Travel Show")
Jul 20 05:29:00 morgul mythbackend: mythbackend[3378]: I Scheduler tv_rec.cpp:730 (SetRecordingStatus) TVRec[12]: SetRecordingStatus(Recording->Aborted) on line 439
Jul 20 05:29:00 morgul mythbackend: mythbackend[3378]: I Scheduler tv_rec.cpp:829 (StartedRecording) TVRec[12]: StartedRecording(2107_2019-07-20T04:29:00Z) fn(/m3/mythtv/2107_20190720042900.ts)
Jul 20 05:29:00 morgul mythbackend: mythbackend[3378]: I Scheduler tv_rec.cpp:4123 (LoadProfile) TVRec[12]: Using profile 'Default' to record
Jul 20 05:29:00 morgul mythbackend: mythbackend[3378]: I Scheduler tv_rec.cpp:4407 (ClearFlags) TVRec[12]: ClearFlags(CancelNextRecording,) -> RunMainLoop,SignalMonitorRunning,EITScannerRunning,RingBufferReady, @ tv_rec.cpp:629
Jul 20 05:29:00 morgul mythbackend: mythbackend[3378]: I Scheduler tv_rec.cpp:730 (SetRecordingStatus) TVRec[12]: SetRecordingStatus(Aborted->Tuning) on line 632
Jul 20 05:29:01 morgul mythbackend: mythbackend[3378]: I Scheduler scheduler.cpp:2923 (HandleRecordingStatusChange) Tuning recording: "The Travel Show": channel 2107 on cardid [12], sourceid 2
Jul 20 05:29:01 morgul mythbackend: mythbackend[3378]: I Scheduler scheduler.cpp:2356 (HandleReschedule) Reschedule requested for MATCH 0 2 0 2019-07-20T07:00:00Z EITScanner
Jul 20 05:30:34 morgul mythbackend: mythbackend[3378]: I Scheduler scheduler.cpp:2356 (HandleReschedule) Reschedule requested for MATCH 0 2 0 2019-07-20T06:25:00Z EITScanner
Jul 20 05:32:08 morgul mythbackend: mythbackend[3378]: I Scheduler scheduler.cpp:2356 (HandleReschedule) Reschedule requested for MATCH 0 2 0 2019-07-20T05:00:00Z EITScanner
Jul 20 05:33:39 morgul mythbackend: mythbackend[3378]: I Scheduler scheduler.cpp:2356 (HandleReschedule) Reschedule requested for MATCH 0 2 0 2019-07-20T06:00:00Z EITScanner
Jul 20 05:35:15 morgul mythbackend: mythbackend[3378]: I Scheduler scheduler.cpp:2356 (HandleReschedule) Reschedule requested for MATCH 0 2 0 2019-07-20T05:00:00Z EITScanner
Jul 20 05:36:47 morgul mythbackend: mythbackend[3378]: I Scheduler scheduler.cpp:2356 (HandleReschedule) Reschedule requested for MATCH 0 2 0 2019-07-20T21:00:00Z EITScanner
Jul 20 05:38:21 morgul mythbackend: mythbackend[3378]: I Scheduler scheduler.cpp:2356 (HandleReschedule) Reschedule requested for PLACE PrepareToRecord
Jul 20 05:38:21 morgul mythbackend: mythbackend[3378]: I Scheduler scheduler.cpp:2356 (HandleReschedule) Reschedule requested for MATCH 0 2 0 2019-07-20T05:00:00Z EITScanner
Jul 20 05:39:56 morgul mythbackend: mythbackend[3378]: I Scheduler scheduler.cpp:2356 (HandleReschedule) Reschedule requested for MATCH 0 2 0 2019-07-20T17:58:00Z EITScanner
Jul 20 05:41:28 morgul mythbackend: mythbackend[3378]: I Scheduler scheduler.cpp:2356 (HandleReschedule) Reschedule requested for MATCH 0 2 0 2019-07-20T07:00:00Z EITScanner
Jul 20 05:43:05 morgul mythbackend: mythbackend[3378]: I Scheduler scheduler.cpp:2356 (HandleReschedule) Reschedule requested for MATCH 0 2 0 2019-07-20T05:30:00Z EITScanner
Jul 20 05:44:43 morgul mythbackend: mythbackend[3378]: I Scheduler scheduler.cpp:2356 (HandleReschedule) Reschedule requested for MATCH 0 2 0 2019-07-20T06:00:00Z EITScanner
Jul 20 05:46:18 morgul mythbackend: mythbackend[3378]: I Scheduler scheduler.cpp:2460 (HandleReschedule) Reschedule interrupted, will retry
Jul 20 05:59:30 morgul mythbackend: mythbackend[3378]: I Scheduler tv_rec.cpp:319 (RecordPending) TVRec[12]: RecordPending on inputid 12
Jul 20 05:59:30 morgul mythbackend: mythbackend[3378]: I Scheduler cardutil.cpp:1448 (GetConflictingInputs) CardUtil: GetConflictingInputs() input 12
Jul 20 06:00:00 morgul mythbackend: mythbackend[3378]: I Scheduler tv_rec.cpp:433 (StartRecording) TVRec[12]: StartRecording("Le Salvager")
Jul 20 06:00:00 morgul mythbackend: mythbackend[3378]: I Scheduler tv_rec.cpp:730 (SetRecordingStatus) TVRec[12]: SetRecordingStatus(Recording->Aborted) on line 439
Jul 20 06:00:00 morgul mythbackend: mythbackend[3378]: I Scheduler tv_rec.cpp:4736 (SwitchRecordingRingBuffer) TVRec[12]: SwitchRecordingRingBuffer()
Jul 20 06:00:00 morgul mythbackend: mythbackend[3378]: E Scheduler tv_rec.cpp:4762 (SwitchRecordingRingBuffer) TVRec[12]: SwitchRecordingRingBuffer -> Not the same channel.
Jul 20 06:00:00 morgul mythbackend: mythbackend[3378]: I Scheduler tv_rec.cpp:4407 (ClearFlags) TVRec[12]: ClearFlags(CancelNextRecording,KillRec,) -> RunMainLoop,RingBufferReady, @ tv_rec.cpp:755
Jul 20 06:00:00 morgul mythbackend: mythbackend[3378]: I Scheduler tv_rec.cpp:730 (SetRecordingStatus) TVRec[12]: SetRecordingStatus(Aborted->Unknown) on line 757
Jul 20 06:00:00 morgul mythbackend: mythbackend[3378]: I Scheduler tv_rec.cpp:829 (StartedRecording) TVRec[12]: StartedRecording(2114_2019-07-20T05:00:00Z) fn(/n2/mythtv/2114_20190720050000.ts)
Jul 20 06:00:00 morgul mythbackend: mythbackend[3378]: I Scheduler tv_rec.cpp:4123 (LoadProfile) TVRec[12]: Using profile 'Default' to record
Jul 20 06:00:00 morgul mythbackend: mythbackend[3378]: I Scheduler tv_rec.cpp:4407 (ClearFlags) TVRec[12]: ClearFlags(CancelNextRecording,) -> RunMainLoop,RingBufferReady, @ tv_rec.cpp:629
Jul 20 06:00:00 morgul mythbackend: mythbackend[3378]: I Scheduler tv_rec.cpp:730 (SetRecordingStatus) TVRec[12]: SetRecordingStatus(Unknown->Tuning) on line 632
Jul 20 06:00:01 morgul mythbackend: mythbackend[3378]: I Scheduler scheduler.cpp:2923 (HandleRecordingStatusChange) Tuning recording: "Le Salvager": channel 2114 on cardid [12], sourceid 2
Jul 20 06:00:01 morgul mythbackend: mythbackend[3378]: I Scheduler scheduler.cpp:2356 (HandleReschedule) Reschedule requested for PLACE Interrupted
Jul 20 06:00:01 morgul mythbackend: mythbackend[3378]: I Scheduler scheduler.cpp:2356 (HandleReschedule) Reschedule requested for MATCH 0 2 0 2019-07-20T05:00:00Z EITScanner
Jul 20 06:01:29 morgul mythbackend: mythbackend[3378]: I Scheduler scheduler.cpp:2356 (HandleReschedule) Reschedule requested for MATCH 0 2 0 2019-07-20T04:50:00Z EITScanner
Jul 20 06:02:59 morgul mythbackend: mythbackend[3378]: I Scheduler scheduler.cpp:2356 (HandleReschedule) Reschedule requested for MATCH 0 2 0 2019-07-20T05:15:00Z EITScanner
Jul 20 06:04:36 morgul mythbackend: mythbackend[3378]: I Scheduler scheduler.cpp:2356 (HandleReschedule) Reschedule requested for MATCH 0 2 0 2019-07-20T05:05:00Z EITScanner
Jul 20 06:06:10 morgul mythbackend: mythbackend[3378]: I Scheduler scheduler.cpp:2356 (HandleReschedule) Reschedule requested for PLACE PrepareToRecord
Jul 20 06:06:10 morgul mythbackend: mythbackend[3378]: I Scheduler scheduler.cpp:2356 (HandleReschedule) Reschedule requested for CHECK -3 17374 0 UpdateRecStatus2 | The Travel Show |  | To mark the 50th anniversary of the Apollo moon landing, Rajan Datar travels to the Kennedy Space Centre in Florida. | fp.bbc.co.uk/m/4fpe
Jul 20 06:06:10 morgul mythbackend: mythbackend[3378]: I Scheduler scheduler.cpp:2356 (HandleReschedule) Reschedule requested for CHECK -14 14177 0 UpdateRecStatus2 | Le Salvager |  | In his very own well-tended back garden, Rico Daniels begins building a greenhouse using reclaimed timber and doors. | www.questtv.co.uk/e278211
Jul 20 06:06:10 morgul mythbackend: mythbackend[3378]: I Scheduler scheduler.cpp:2356 (HandleReschedule) Reschedule requested for CHECK -3 17374 0 ForgetHistory | The Travel Show |  | Join the team on their journey of discovery as they explore new destinations around the globe and uncover hidden sides to some of the world's favourite holiday hotspots. | fp.bbc.co.uk/m/33hy
Jul 20 06:06:10 morgul mythbackend: mythbackend[3378]: I Scheduler scheduler.cpp:2356 (HandleReschedule) Reschedule requested for CHECK 0 17374 0 DoHandleDelete1 | The Travel Show |  | Join the team on their journey of discovery as they explore new destinations around the globe and uncover hidden sides to some of the world's favourite holiday hotspots. | fp.bbc.co.uk/m/33hy
Jul 20 06:06:10 morgul mythbackend: mythbackend[3378]: I Scheduler scheduler.cpp:2356 (HandleReschedule) Reschedule requested for MATCH 0 2 0 2019-07-20T23:00:00Z EITScanner
Jul 20 06:07:45 morgul mythbackend: mythbackend[3378]: I Scheduler scheduler.cpp:2356 (HandleReschedule) Reschedule requested for MATCH 0 2 0 2019-07-20T05:20:00Z EITScanner
Jul 20 06:09:19 morgul mythbackend: mythbackend[3378]: I Scheduler scheduler.cpp:2356 (HandleReschedule) Reschedule requested for MATCH 0 2 0 2019-07-20T23:00:00Z EITScanner
Jul 20 06:10:51 morgul mythbackend: mythbackend[3378]: I Scheduler scheduler.cpp:2356 (HandleReschedule) Reschedule requested for MATCH 0 2 0 2019-07-20T05:30:00Z EITScanner
Jul 20 06:12:28 morgul mythbackend: mythbackend[3378]: I Scheduler scheduler.cpp:2356 (HandleReschedule) Reschedule requested for MATCH 0 2 0 2019-07-20T05:10:00Z EITScanner
Jul 20 06:14:01 morgul mythbackend: mythbackend[3378]: I Scheduler scheduler.cpp:2356 (HandleReschedule) Reschedule requested for MATCH 0 2 0 2019-07-20T11:00:00Z EITScanner
Jul 20 06:15:37 morgul mythbackend: mythbackend[3378]: I Scheduler scheduler.cpp:2356 (HandleReschedule) Reschedule requested for MATCH 0 2 0 2019-07-20T05:10:00Z EITScanner
Jul 20 06:17:12 morgul mythbackend: mythbackend[3378]: I Scheduler scheduler.cpp:2356 (HandleReschedule) Reschedule requested for MATCH 0 2 0 2019-07-20T05:15:00Z EITScanner
Jul 20 06:18:44 morgul mythbackend: mythbackend[3378]: I Scheduler scheduler.cpp:2356 (HandleReschedule) Reschedule requested for MATCH 0 2 0 2019-07-20T09:00:00Z EITScanner
Jul 20 06:20:20 morgul mythbackend: mythbackend[3378]: I Scheduler scheduler.cpp:2356 (HandleReschedule) Reschedule requested for MATCH 0 2 20 2019-07-20T05:25:00Z EITScanner
Jul 20 06:20:34 morgul mythbackend: mythbackend[3378]: I Scheduler scheduler.cpp:2460 (HandleReschedule) Reschedule interrupted, will retry
Jul 20 06:29:30 morgul mythbackend: mythbackend[3378]: I Scheduler tv_rec.cpp:319 (RecordPending) TVRec[12]: RecordPending on inputid 12
Jul 20 06:29:30 morgul mythbackend: mythbackend[3378]: I Scheduler cardutil.cpp:1448 (GetConflictingInputs) CardUtil: GetConflictingInputs() input 12
Jul 20 06:30:00 morgul mythbackend: mythbackend[3378]: I Scheduler tv_rec.cpp:433 (StartRecording) TVRec[12]: StartRecording("Le Salvager")

comment:32 in reply to:  31 Changed 2 months ago by gigem

wispfrog, your problem is not the same as the original one reported here (deadlock requiring a complete restart). Furthermore, your problem (long schedule runs) was fixed in a later version. Please upgrade to v30 or at least a more recent version of v29.

Note: See TracTickets for help on using tickets.